#!/usr/bin/env Rscript

##### FORMAT TRAIT FOR FUSHAN
source("R/find.trait/trait.fun.R")

### read species names
data.tree <- read.csv("output/formatted/Fushan/tree.csv", stringsAsFactors = FALSE)
species.clean <- data.frame(sp=data.tree[!duplicated(data.tree[["sp"]]),"sp"],
                             Latin_name=data.tree[!duplicated(data.tree[["sp"]]),"sp.name"],
                             Latin_name_syn=data.tree[!duplicated(data.tree[["sp"]]),"sp.name"],
                             stringsAsFactors =FALSE)


################ MASSAGE TRAIT DATA Obtain maximum height per species from data.trait no sd
################ available as we have only one observation for species
data.trait <- read.table("data/raw/Fushan/fs_trait_Kunstler.txt", header = T, 
    sep = "\t")
colnames(data.trait) <- c("sp", "sla", "wd", "seedmassmg", "meanN", "maxheightm")
data.trait <- merge(data.trait, data.frame(sp = species.clean$sp, Latin_name= species.clean$Latin_name, 
	stringsAsFactors = F), by = "sp")
data.trait$Leaf.N.mean <- data.trait$meanN*10; data.trait$meanN <- NULL; ## conversion from percentage to mg/g
data.trait$Leaf.N.sd <- NA
data.trait$Seed.mass.mean <- data.trait$seedmassmg; data.trait$seedmassmg <- NULL
data.trait$Seed.mass.sd <- NA
data.trait$SLA.mean <- data.trait$sla/10; data.trait$sla <- NULL
data.trait$SLA.sd <- NA
data.trait$Wood.density.mean <- data.trait$wd; data.trait$wd <- NULL
data.trait$Wood.density.sd <- NA
data.trait$Max.height.mean <- log10(data.trait$maxheightm); 
data.trait$Max.height.sd <- NA
data.trait$maxheightm <- NULL


data.TRAITS.std <- data.trait
rm(data.trait)

## extract
data.traits <- fun.extract.format.sp.traits.NOT.TRY(sp=species.clean$sp, Latin_name=species.clean$sp, data=data.TRAITS.std,name.match.traits="sp")

### TODO ADD GENUS MEAN FOR HEIGHT IF SPECIES IS MISSING
write.csv(data.traits,file="output/formatted/Fushan/traits.csv",row.names = FALSE)



