#!/usr/bin/env Rscript

##### FORMAT TRAIT FOR Sweden
source("R/find.trait/trait.fun.R")

### read species names
data.tree <- read.csv("output/formatted/Sweden/tree.csv", stringsAsFactors = FALSE)
species.clean <- data.frame(sp=data.tree[!duplicated(data.tree[["sp"]]),"sp"],
                             Latin_name=data.tree[!duplicated(data.tree[["sp"]]),"sp.name"],
                             Latin_name_syn=data.tree[!duplicated(data.tree[["sp"]]),"sp.name"],
                             stringsAsFactors =FALSE)
## delete the sp code with no species
species.clean <- subset(species.clean,subset=!is.na(species.clean$Latin_name))

## select column to keep

## read in data
data.TRY.std <- readRDS("output/formatted/TRY/data.TRY.std.rds")
## read France max height
max.height <- read.csv(file="output/formatted/France/max.height.csv", stringsAsFactors = FALSE)
## load latin name France
data.tree <- read.csv("output/formatted/France/tree.csv", stringsAsFactors = FALSE)
species.clean2 <- data.frame(sp=data.tree[!duplicated(data.tree[["sp"]]),"sp"],
                             Latin_name=data.tree[!duplicated(data.tree[["sp"]]),"sp.name"],
                             Latin_name_syn=data.tree[!duplicated(data.tree[["sp"]]),"sp.name"],
                             stringsAsFactors =FALSE)
## delete the sp code with no species
species.clean2 <- subset(species.clean2,subset=!is.na(species.clean2$Latin_name))
max.height <- merge(max.height,species.clean2,by="sp") ## add latin name
## extract traits and height
data.traits <- fun.extract.format.sp.traits.TRY(sp=species.clean[["sp"]],sp.syno.table=species.clean,data=data.TRY.std)
data.traits <- merge(data.traits,subset(max.height,select=c("Latin_name","Max.height.mean","Max.height.sd")),by="Latin_name",all.x=TRUE,all.y=FALSE)

### TODO ADD GENUS MEAN FOR HEIGHT IF SPECIES IS MISSING
write.csv(data.traits,file="output/formatted/Sweden/traits.csv",row.names = FALSE)

