library(RColorBrewer, quietly = TRUE)
library(rworldmap, quietly = TRUE)

## Plot map of distn

world.map <- function(Lon, Lat, col = "red", add = FALSE, cex=0.2){

	if(!add){
		newmap <- getMap(resolution = 'low')
		plot(newmap, col= "lightgrey")
	}

	points(Lon,Lat,pch=19,cex=cex, col = col)
}


world.map.all.sites <- function(data,add.legend=FALSE){

sets <- unique(data$set)

# list of colours
cols <- as.list(niceColors(length(sets)))
names(cols) <- sets

# new map  
world.map(NA, NA)
  
for(set in sets){
	i <- data$set ==set
	cex = 0.4
	if(sum(i) ==1) 
		cex=2
    world.map(data[i, "Lon"], data[i, "Lat"], col = cols[[set]], add=TRUE, cex=cex)
  }
if(add.legend)
  legend('bottomleft', col = unlist(cols), legend = names(cols), pch = rep(19,length(cols)), bty = "n")
}
